Closed Bug 574911 Opened 9 years ago Closed 9 years ago

Intermittent "ASSERTION: hasResult is false but the call succeeded?" causing assertion count failures in random reftests, jsreftests, crashtests, xpcshell tests and leak tests

Categories

(Toolkit :: Places, defect)

defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: philor, Unassigned)

References

Details

(Keywords: intermittent-failure)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277519942.1277522547.31104.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test reftest on 2010/06/25 19:39:02
s: talos-r3-leopard-050

REFTEST TEST-START | file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-fileupload-ref.html
###!!! ASSERTION: hasResult is false but the call succeeded?: 'hasResult', file /builds/slave/mozilla-central-macosx-debug/build/toolkit/components/places/src/nsNavHistory.cpp, line 1941
nsNavHistory::InternalAddNewPage(nsIURI*, nsAString_internal const&, int, int, int, int, long long*) [toolkit/components/places/src/nsNavHistory.cpp:1943]
nsNavHistory::AddVisit(nsIURI*, long long, nsIURI*, int, int, long long, long long*) [toolkit/components/places/src/nsNavHistory.cpp:2834]
nsNavHistory::AddVisitChain(nsIURI*, long long, int, int, nsIURI*, long long*, long long*) [toolkit/components/places/src/nsNavHistory.cpp:5441]
nsNavHistory::AddURIInternal(nsIURI*, long long, int, int, nsIURI*) [toolkit/components/places/src/nsNavHistory.cpp:5283]
nsNavHistory::CommitLazyMessages(int) [toolkit/components/places/src/nsNavHistory.cpp:6163]
nsNavHistory::LazyTimerCallback(nsITimer*, void*) [toolkit/components/places/src/nsNavHistory.cpp:6149]
nsTimerImpl::Fire() [xpcom/threads/nsTimerImpl.cpp:428]
nsTimerEvent::Run() [xpcom/threads/nsTimerImpl.cpp:521]
nsThread::ProcessNextEvent(int, int*) [xpcom/threads/nsThread.cpp:547]
NS_ProcessPendingEvents_P(nsIThread*, unsigned int) [nsThreadUtils.cpp:200]
nsBaseAppShell::NativeEventCallback() [widget/src/xpwidgets/nsBaseAppShell.cpp:127]
nsAppShell::ProcessGeckoEvents(void*) [widget/src/cocoa/nsAppShell.mm:395]
CoreFoundation + 0x733c5
CoreFoundation + 0x73aa8
HIToolbox + 0x302ac
HIToolbox + 0x300c5
HIToolbox + 0x2ff39
AppKit + 0x406d5
AppKit + 0x3ff88
AppKit + 0x38f9f
nsAppShell::Run() [widget/src/cocoa/nsAppShell.mm:747]
nsAppStartup::Run() [toolkit/components/startup/src/nsAppStartup.cpp:192]
XRE_main [toolkit/xre/nsAppRunner.cpp:3624]
main [browser/app/nsBrowserApp.cpp:158]
firefox-bin + 0x148e
WARNING: 1 sort operation has occurred for the SQL statement '0x17ce1fd8'.  See https://developer.mozilla.org/En/Storage/Warnings details.: file /builds/slave/mozilla-central-macosx-debug/build/storage/src/mozStoragePrivateHelpers.cpp, line 138
WARNING: attempting to update frecency for a bogus place: file /builds/slave/mozilla-central-macosx-debug/build/toolkit/components/places/src/nsNavHistory.cpp, line 7717
WARNING: 1 sort operation has occurred for the SQL statement '0x17ce1fd8'.  See https://developer.mozilla.org/En/Storage/Warnings details.: file /builds/slave/mozilla-central-macosx-debug/build/storage/src/mozStoragePrivateHelpers.cpp, line 138
--DOMWINDOW == 78 (0x1d2aec48) [serial = 1117] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/minmax-width-special-values-block-intrinsic-ref.html]
--DOMWINDOW == 77 (0x1e0cccd8) [serial = 1116] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/minmax-width-special-values-block-intrinsic.html]
--DOMWINDOW == 76 (0x17cba5a8) [serial = 1114] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/width-special-values-float-intrinsic.html]
--DOMWINDOW == 75 (0x20781208) [serial = 1049] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/border-radius/curved-borders-all-styles.html]
--DOMWINDOW == 74 (0x1e36b128) [serial = 1119] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/width-special-values-cell-auto.html]
--DOMWINDOW == 73 (0x21580658) [serial = 1187] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 72 (0x1a68c978) [serial = 1184] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 71 (0x2151e378) [serial = 1182] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-rounding.html]
--DOMWINDOW == 70 (0x2158a698) [serial = 1181] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 69 (0x215aabc8) [serial = 1180] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/tableboxshadow-tdshadow-ref.html]
--DOMWINDOW == 68 (0x1d647b28) [serial = 1179] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/tableboxshadow-tdshadow.html]
--DOMWINDOW == 67 (0x215062d8) [serial = 1178] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 66 (0x1a6a0148) [serial = 1177] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/tableboxshadow-trshadow-ref.html]
--DOMWINDOW == 65 (0x1a6c1878) [serial = 1176] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/tableboxshadow-trshadow.html]
--DOMWINDOW == 64 (0x21570cd8) [serial = 1175] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 63 (0x21553a48) [serial = 1174] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/tableboxshadow-basic-ref.html]
--DOMWINDOW == 62 (0x2156dba8) [serial = 1173] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/tableboxshadow-basic.html]
--DOMWINDOW == 61 (0x1d6b75e8) [serial = 1172] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 60 (0x215b2f68) [serial = 1171] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-spread-ref.html]
--DOMWINDOW == 59 (0x1a603cc8) [serial = 1170] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-spread.html]
--DOMWINDOW == 58 (0x1a6cdae8) [serial = 1169] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 57 (0x2157b3f8) [serial = 1168] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-multiple-ref.html]
--DOMWINDOW == 56 (0x215bc968) [serial = 1167] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-multiple.html]
--DOMWINDOW == 55 (0x1d2a4498) [serial = 1166] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 54 (0x2158fb88) [serial = 1165] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-blur-notref2.html]
--DOMWINDOW == 53 (0x1e776e38) [serial = 1164] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 52 (0x1de1fac8) [serial = 1163] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-blur-notref.html]
--DOMWINDOW == 51 (0x1e49d868) [serial = 1162] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-blur.html]
--DOMWINDOW == 50 (0x17c9deb8) [serial = 1161] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 49 (0x1d6c9868) [serial = 1160] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-basic-ref.html]
--DOMWINDOW == 48 (0x1d603a88) [serial = 1159] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-basic.html]
--DOMWINDOW == 47 (0x25305638) [serial = 1158] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 46 (0x21563b98) [serial = 1157] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/clip-rect-auto-ref.html]
--DOMWINDOW == 45 (0x17caf2f8) [serial = 1156] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/clip-rect-auto.html]
--DOMWINDOW == 44 (0x1ebd35d8) [serial = 1155] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 43 (0x1dea96d8) [serial = 1154] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/clip-auto-ref.html]
--DOMWINDOW == 42 (0x207d4458) [serial = 1153] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/clip-auto.html]
--DOMWINDOW == 41 (0x25330db8) [serial = 1152] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 40 (0x1e0c1608) [serial = 1151] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/CSS21-t100801-vertical-align-ref.xhtml]
--DOMWINDOW == 39 (0x17c3c108) [serial = 1150] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/CSS21-t100801-vertical-align.xhtml]
--DOMWINDOW == 38 (0x1a623ea8) [serial = 1149] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 37 (0x1a63ff18) [serial = 1148] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/CSS21-t100303-simple.xhtml]
--DOMWINDOW == 36 (0x1a642698) [serial = 1147] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 35 (0x1a69adc8) [serial = 1146] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/CSS21-t100303-ref.xhtml]
--DOMWINDOW == 34 (0x207896f8) [serial = 1145] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/CSS21-t100303.xhtml]
--DOMWINDOW == 33 (0x2152c988) [serial = 1144] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 32 (0x1d649118) [serial = 1143] [outer = 0x1d21e030] [url = http://localhost:4444/1277520126091/13/box-properties/CSS21-t100301-ref.xhtml]
--DOMWINDOW == 31 (0x1d6b1178) [serial = 1142] [outer = 0x1d21e030] [url = http://localhost:4444/1277520126091/13/box-properties/CSS21-t100301.xhtml]
--DOMWINDOW == 30 (0x207f8be8) [serial = 1141] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 29 (0x17cabba8) [serial = 1140] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/abspos-replaced-width-offset-margin-ref.html]
--DOMWINDOW == 28 (0x2154eef8) [serial = 1139] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/abspos-replaced-width-offset-margin.html]
--DOMWINDOW == 27 (0x1d694958) [serial = 1138] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 26 (0x1d81c528) [serial = 1137] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/abspos-non-replaced-width-offset-margin-ref.html]
--DOMWINDOW == 25 (0x2154d458) [serial = 1136] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/abspos-non-replaced-width-offset-margin.html]
--DOMWINDOW == 24 (0x1e3aa0b8) [serial = 1135] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 23 (0x17c9d6a8) [serial = 1134] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/box-sizing-4-ref.html]
--DOMWINDOW == 22 (0x1e093178) [serial = 1133] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/box-sizing-4.html]
--DOMWINDOW == 21 (0x1d616068) [serial = 1132] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 20 (0x1a68f2b8) [serial = 1131] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/box-sizing-3.html]
--DOMWINDOW == 19 (0x17ce8e88) [serial = 1130] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 18 (0x1d2da1c8) [serial = 1129] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/box-sizing-2-ref.html]
--DOMWINDOW == 17 (0x1e7e17b8) [serial = 1128] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/box-sizing-2.html]
--DOMWINDOW == 16 (0x1d2d05f8) [serial = 1127] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 15 (0x1a6d4d98) [serial = 1126] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/box-sizing-1-ref.html]
--DOMWINDOW == 14 (0x207cc158) [serial = 1125] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/box-sizing-1.html]
--DOMWINDOW == 13 (0x1d687ea8) [serial = 1124] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 12 (0x17c4be08) [serial = 1123] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/width-special-values-cell-fixed-ref.html]
--DOMWINDOW == 11 (0x1a6613a8) [serial = 1122] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/width-special-values-cell-fixed.html]
--DOMWINDOW == 10 (0x1d621c48) [serial = 1121] [outer = 0x1d21e030] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 9 (0x253925d8) [serial = 1120] [outer = 0x1d21e030] [url = file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/width-special-values-cell-auto-ref.html]
++DOMWINDOW == 10 (0x1d661258) [serial = 1189] [outer = 0x1d21e030]
WARNING: NS_ENSURE_TRUE(mBoundFrame) failed: file /builds/slave/mozilla-central-macosx-debug/build/content/html/content/src/nsTextEditorState.cpp, line 1326
WARNING: NS_ENSURE_TRUE(mBoundFrame) failed: file /builds/slave/mozilla-central-macosx-debug/build/content/html/content/src/nsTextEditorState.cpp, line 1326
REFTEST TEST-PASS | file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-fileupload.html |
REFTEST INFO | Loading a blank page
++DOMWINDOW == 11 (0x1dfc8b98) [serial = 1190] [outer = 0x1d21e030]
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-shadow/boxshadow-fileupload.html | assertion count 1 is more than expected 0 assertions

<Jesse>: i think we should downgrade the assertion into a warning
are reftests running in the same session as other mochitests? I really can't understand these assertions in anything that is not an xpcshell/mochitest
hm, unless this happens at shutdown so when the test has finished and browser is closing, then I could have a solution, is browser closed between reftests?

PS: it's fine to convert the assertion to a warning for now.
No, reftests run in a separate test run of just them, and no shutdown - the harness loads about:blank in between tests, but as you can see from the logs, neither this nor bug 574002 is at the end of the test run.
There are four instances of the assertion.  Which should be changed to warnings?

http://mxr.mozilla.org/mozilla-central/search?string=hasResult+is+false
(In reply to comment #4)
> There are four instances of the assertion.  Which should be changed to
> warnings?

should be http://mxr.mozilla.org/mozilla-central/source/toolkit/components/places/src/nsNavHistory.cpp#1941

actually if bug 556400 lands I'd expect these to disappear.
But I'm still trying to figure out why it appeared here :(
hm, we should not just convert the assertion since if hasResult is false we can't get the result. we should warn and return a NS_ERROR_UNEXPECTED.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277766343.1277767619.10949.gz
Rev3 Fedora 12 mozilla-central debug test crashtest on 2010/06/28 16:05:43
s: talos-r3-fed-043

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/mozilla-central-fedora-debug-u-crashtest/build/reftest/tests/layout/generic/crashtests/413712-1.xhtml | assertion count 1 is more than expected 0 assertions
Summary: Intermittent "ASSERTION: hasResult is false but the call succeeded?" causing boxshadow-fileupload.html | assertion count 1 is more than expected 0 assertions → Intermittent "ASSERTION: hasResult is false but the call succeeded?" causing assertion count failures in random reftests, jsreftests and crashtests
Duplicate of this bug: 574002
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277933683.1277934480.15897.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test crashtest on 2010/06/30 14:34:43
s: talos-r3-leopard-006

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-crashtest/build/reftest/tests/layout/generic/crashtests/415685-1.html | assertion count 1 is more than expected 0 assertions
OS: Mac OS X → All
Hardware: x86 → All
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278008581.1278011594.7170.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test reftest on 2010/07/01 11:23:01
s: talos-r3-leopard-012

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/CSS21-t100801-vertical-align.xhtml | assertion count 1 is more than expected 0 assertions
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278015866.1278022677.23177.gz
OS X 10.6.2 mozilla-central leak test build on 2010/07/01 13:24:26
s: moz2-darwin10-slave48
Summary: Intermittent "ASSERTION: hasResult is false but the call succeeded?" causing assertion count failures in random reftests, jsreftests and crashtests → Intermittent "ASSERTION: hasResult is false but the call succeeded?" causing assertion count failures in random reftests, jsreftests, crashtests, and alive tests
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278018661.1278024753.32312.gz
OS X 10.6.2 mozilla-central leak test build on 2010/07/01 14:11:01
s: moz2-darwin10-slave44
Summary: Intermittent "ASSERTION: hasResult is false but the call succeeded?" causing assertion count failures in random reftests, jsreftests, crashtests, and alive tests → Intermittent "ASSERTION: hasResult is false but the call succeeded?" causing assertion count failures in random reftests, jsreftests, crashtests, and leak tests
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278035659.1278038808.25249.gz
OS X 10.6.2 mozilla-central leak test build on 2010/07/01 18:54:19  
s: moz2-darwin10-slave21
TEST-UNEXPECTED-FAIL | automation.py | Exited with code -11 during test run

Crash here, no idea if it's related to the assertion failures

++DOMWINDOW == 13 (0x127b88448) [serial = 17] [outer = 0x1272bf880]
###!!! ASSERTION: hasResult is false but the call succeeded?: 'hasResult', file /builds/slave/mozilla-central-macosx64-debug/build/toolkit/components/places/src/nsNavHistory.cpp, line 1923
nsNavHistory::InternalAddNewPage(nsIURI*, nsAString_internal const&, int, int, int, int, long long*)+0x00000B75 [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x0116F2DD]
nsNavHistory::GetUrlIdFor(nsIURI*, long long*, int)+0x0000024A [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x0117011A]
nsNavHistory::RegisterOpenPage(nsIURI*)+0x00000172 [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x011705AA]
NS_InvokeByIndex_P+0x00000240 [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x014E3EC9]
CallMethodHelper::Invoke()+0x00000069 [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x00E051BB]
CallMethodHelper::Call()+0x00000116 [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x00E07A38]
XPCWrappedNative::CallMethod(XPCCallContext&, XPCWrappedNative::CallMode)+0x000002E0 [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x00E014D6]
XPC_WN_CallMethod(JSContext*, JSObject*, unsigned int, long*, long*)+0x000002B0 [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x00E0C92D]
js_Invoke+0x000009F2 [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/libmozjs.dylib +0x000ABDF4]
js_Interpret+0x00016C7E [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/libmozjs.dylib +0x00097779]
js_Invoke+0x00000A7B [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/libmozjs.dylib +0x000ABE7D]
nsXPCWrappedJSClass::CallMethod(nsXPCWrappedJS*, unsigned short, XPTMethodDescriptor const*, nsXPTCMiniVariant*)+0x00001474 [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x00DF50CC]
nsXPCWrappedJS::CallMethod(unsigned short, XPTMethodDescriptor const*, nsXPTCMiniVariant*)+0x0000005F [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x00DEC2A3]
PrepareAndDispatch+0x00000504 [/builds/slave/mozilla-central-macosx64-debug/build/obj-firefox/dist/bin/XUL +0x014E54FE]
###!!! ASSERTION: hasResult is false but the call succeeded?: 'hasResult', file /builds/slave/mozilla-central-macosx64-debug/build/toolkit/components/places/src/nsNavHistory.cpp, line 1923
TEST-UNEXPECTED-FAIL | automation.py | Exited with code -11 during test run
During "leak test", all assertions are fatal.  So yes.
Oh right, and our Mac code does |*NULL| to abort now.  Check.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278121667.1278123685.26300.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/07/02 18:47:47
s: win32-slave41

TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\tests\test_places\queries\test_tags.js | test failed (with xpcshell return code: -2147483645), see following log:
Summary: Intermittent "ASSERTION: hasResult is false but the call succeeded?" causing assertion count failures in random reftests, jsreftests, crashtests, and leak tests → Intermittent "ASSERTION: hasResult is false but the call succeeded?" causing assertion count failures in random reftests, jsreftests, crashtests, xpcshell tests and leak tests
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278271369.1278273025.10591.gz
Rev3 Fedora 12 mozilla-central debug test jsreftest on 2010/07/04 12:22:49
s: talos-r3-fed-048

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/mozilla-central-fedora-debug-u-jsreftest/build/jsreftest/tests/jsreftest.html?test=ecma/Date/15.9.5.12-2.js | assertion count 1 is more than expected 0 assertions
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278268401.1278275166.18662.gz
OS X 10.6.2 mozilla-central leak test build on 2010/07/04 11:33:21
s: moz2-darwin10-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278287680.1278289963.4643.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test reftest on 2010/07/04 16:54:40
s: talos-r3-leopard-005

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-reftest/build/reftest/tests/layout/reftests/box-properties/abspos-replaced-width-offset-margin.html | assertion count 1 is more than expected 0 assertions
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278295295.1278296898.27565.gz
OS X 10.6.2 mozilla-central leak test build on 2010/07/04 19:01:35
s: moz2-darwin10-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278454908.1278456462.20643.gz
OS X 10.6.2 mozilla-central leak test build on 2010/07/06 15:21:48
s: moz2-darwin10-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278524001.1278527203.17698.gz
OS X 10.6.2 mozilla-central leak test build on 2010/07/07 10:33:21
s: moz2-darwin10-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278608104.1278610331.23316.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test reftest on 2010/07/08 09:55:04
s: talos-r3-leopard-048
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278608840.1278615551.9357.gz
OS X 10.6.2 mozilla-central leak test build on 2010/07/08 10:07:20
s: moz2-darwin10-slave13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278970762.1278973919.9274.gz
OS X 10.6.2 mozilla-central leak test build on 2010/07/12 14:39:22  
s: moz2-darwin10-slave42
this could have been fixed by recent expiration changes. I've not seen it anymore.
I'm resolving, please reopen if you see it again.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.